# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"DocFetcher",
   "name":"DocFetcher",
   "version":"1.1.25",
   "install_date":"",
   "install_location":"C:\\Program Files (x86)\\DocFetcher",
   "uninstall_string":"C:\\Program Files (x86)\\DocFetcher\\uninstaller.exe",
   "publisher":"",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('docfetcher_*_win32_setup.exe')[0]
    # Installing the software
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='DocFetcher',
        min_version= control.get_software_version(),
    )



